#if !defined(AFX_PAGEANIMTYPE_H__2FC2D4B1_6B42_11D3_9C1B_00609712FBEF__INCLUDED_)
#define AFX_PAGEANIMTYPE_H__2FC2D4B1_6B42_11D3_9C1B_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PageAnimType.h : header file
//
#include "AnimScriptDoc.h"
/////////////////////////////////////////////////////////////////////////////
// CPageAnimType dialog

class CPageAnimType : public CPropertyPage
{
	DECLARE_DYNCREATE(CPageAnimType)

// Construction
public:
	bool ShowParam(CParamNode *);
	bool ShouldEnable();
	CAnimScriptDoc *m_pDocument;
	int m_iPageType;
	void OnCreateExec();

	CPageAnimType();
	~CPageAnimType();

// Dialog Data
	//{{AFX_DATA(CPageAnimType)
	enum { IDD = IDD_PARAM_ANIMTYPE };
	CButton	m_ctrlModify;
	CListCtrl	m_ctrlListParam;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageAnimType)
	public:
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPageAnimType)
	virtual BOOL OnInitDialog();
	afx_msg void OnItemchangedListParam(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnModify();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGEANIMTYPE_H__2FC2D4B1_6B42_11D3_9C1B_00609712FBEF__INCLUDED_)
